Package org.apache.ignite.internal.processors.rest.handlers.query

## Class QueryCommandHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter
  - - org.apache.ignite.internal.processors.rest.handlers.query.QueryCommandHandler

All Implemented Interfaces:
  `GridRestCommandHandler`

    public class QueryCommandHandler
    extends GridRestCommandHandlerAdapter

Query command handler.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`ctx, log`

### Constructor Summary

Constructors
`QueryCommandHandler​(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteInternalFuture<GridRestResponse>` `handleAsync​(GridRestRequest req)`
`Collection<GridRestCommand>` `supportedCommands()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`missingParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryCommandHandler

    public QueryCommandHandler​(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### supportedCommands

    public Collection<GridRestCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### handleAsync

    public IgniteInternalFuture<GridRestResponse> handleAsync​(GridRestRequest req)

Parameters:
  `req` - Request.
Returns:
  Future.